> For the complete documentation index, see [llms.txt](/llms.txt).
> A full single-fetch corpus is available at [llms-full.txt](/llms-full.txt).
---
title: "Restore the draft from a version"
description: "Reset the mutable draft back to the contents of a published version."
method: "POST"
endpoint: "/api/v1/projects/:projectId/datasets/:id/versions/:versionId/restore-draft"
order: 7
group: "Versions"
last_verified: 2026-07-27
---

<ApiEndpoint method="POST" endpoint="/api/v1/projects/:projectId/datasets/:id/versions/:versionId/restore-draft" description="Reset the mutable draft back to the contents of a published version.">
  <section>
    #### Path parameters
    <ApiAttribute name="versionId" type="string" description="The version to restore the draft from." required={true} />
  </section>
</ApiEndpoint>
